| Qore Logger Module Reference 1.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Logger::LoggerAppenderStdErr Class Reference

Implements appender writing to a stderr file. More...

## Public Member Functions
| constructor (*string name, LoggerLayout layout)
| Creates the object.
| processEventImpl (int type, auto params)
| Processes log events with the file and ignores all other events including open, close.

## Detailed Description

Implements appender writing to a stderr file.

No multi-threading protection is implemented in the class; the stderr instance is reused. Unavailable when Qore::PO_NO_TERMINAL_IO parse option is applied.

## Member Function Documentation

## ◆ constructor()

Logger::LoggerAppenderStdErr::constructor | ( | *string | name,
|  | LoggerLayout | layout )

Creates the object.

Parameters

  name | the name of the appender
  layout | the layout for the appender

## ◆ processEventImpl()

Logger::LoggerAppenderStdErr::processEventImpl | ( | int | type,
|  | auto | params )

Processes log events with the file and ignores all other events including open, close.

Parameters

  type | the event type
  params | parameters for the event